Package org.kie.api.pmml

## Class StringFieldOutput

- java.lang.Object
- - org.kie.api.pmml.AbstractOutput<String>
  - - org.kie.api.pmml.StringFieldOutput

- All Implemented Interfaces:
    `PMML4Output<String>`

      public class StringFieldOutput
      extends AbstractOutput<String>

- - ### Field Summary

    - ### Fields inherited from class org.kie.api.pmml.AbstractOutput

      `weight`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StringFieldOutput()` |
    `StringFieldOutput​(String correlationId, String name, String value)` |
    `StringFieldOutput​(String correlationId, String name, String displayValue, Double weight, String value)` |
    `StringFieldOutput​(String correlationId, String segmentationId, String segmentId, String name, String value)` |
    `StringFieldOutput​(String correlationId, String segmentationId, String segmentId, String name, String displayValue, Double weight, String value)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object obj)` |
    `String` | `getValue()` |
    `int` | `hashCode()` |
    `void` | `setValue​(String value)` |
    `String` | `toString()` |

    - ### Methods inherited from class org.kie.api.pmml.AbstractOutput

      `getCorrelationId, getDisplayValue, getName, getSegmentationId, getSegmentId, getWeight, setCorrelationId, setDisplayValue, setName, setSegmentationId, setSegmentId, setWeight`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StringFieldOutput

          public StringFieldOutput()

    - #### StringFieldOutput

          public StringFieldOutput​(String correlationId,
                                   String name,
                                   String displayValue,
                                   Double weight,
                                   String value)

    - #### StringFieldOutput

          public StringFieldOutput​(String correlationId,
                                   String segmentationId,
                                   String segmentId,
                                   String name,
                                   String displayValue,
                                   Double weight,
                                   String value)

    - #### StringFieldOutput

          public StringFieldOutput​(String correlationId,
                                   String segmentationId,
                                   String segmentId,
                                   String name,
                                   String value)

    - #### StringFieldOutput

          public StringFieldOutput​(String correlationId,
                                   String name,
                                   String value)

  - ### Method Detail

    - #### getValue

          public String getValue()

    - #### setValue

          public void setValue​(String value)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `AbstractOutput<String>`

    - #### equals

          public boolean equals​(Object obj)

      Overrides:
        `equals` in class `AbstractOutput<String>`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `AbstractOutput<String>`